Upgrade 2.3 to 2.3.2 no good



  • Hi, All

    I am trying to upgrade 2.3 to 2.3.2, The process stopped here for hours. What should I do at this moment?

    Here is the whole message

    Updating repositories metadata…
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up-to-date.
    Updating pfSense repository catalogue...
    pfSense repository is up-to-date.
    All repositories are up-to-date.

    Upgrading pkg... done.
    Updating repositories metadata...
    Updating pfSense-core repository catalogue...
    Fetching meta.txz: . done
    Fetching packagesite.txz: . done
    Processing entries: .. done
    pfSense-core repository update completed. 13 packages processed.
    Updating pfSense repository catalogue...
    Fetching meta.txz: . done
    Fetching packagesite.txz: .......... done
    Processing entries: .......... done
    pfSense repository update completed. 404 packages processed.

    Upgrading pfSense-repo... done.
    Updating repositories metadata...
    Updating pfSense-core repository catalogue...
    Repository pfSense-core has a wrong packagesite, need to re-create database
    Fetching meta.txz: . done
    Fetching packagesite.txz: . done
    Processing entries: .. done
    pfSense-core repository update completed. 13 packages processed.
    Updating pfSense repository catalogue...
    Repository pfSense has a wrong packagesite, need to re-create database
    Fetching meta.txz: . done
    Fetching packagesite.txz: .......... done
    Processing entries: .......... done
    pfSense repository update completed. 404 packages processed.
    **** WARNING ****
    Duplicate slice required!!

    Before starting the upgrade process, the currently mounted nanobsd partition
    needs to be cloned to the secondary partition, where the update will happen

    After installation a reboot will be required to switch partition.

    Cleaning secondary partition... done.
    Duplicating current slice... done.
    Restoring slice label... done.
    Testing duplicated partition integrity... done.
    Mounting second partition to run upgrade... done.
    Unlocking package pfSense-kernel-pfSense_wrap_vga... done.
    Downloading upgrade packages...
    Updating pfSense-core repository catalogue...
    Unable to update repository pfSense-core
    Updating pfSense repository catalogue…
    Unable to update repository pfSense
    All repositories are up-to-date.
    pkg: Repository pfSense-core cannot be opened. 'pkg update' required
    pkg: Repository pfSense cannot be opened. 'pkg update' required
    Checking for upgrades (0 candidates): . done
    Processing candidates (0 candidates): . done
    Checking integrity… done (0 conflicting)
    Your packages are up to date.



  • That's likely a bug that's fixed in 2.3.2, but that'll only apply once you're on 2.3.2. You don't have DNS Resolver or Forwarder bound to 127.0.0.1, so DNS fails in the upgraded slice. Enable localhost for DNS Resolver or Forwarder depending on which you're using, and run the upgrade again. It'll succeed then.



  • I alway have trouble upgrading my pfsense box since 2.3. WebUI report failed upgrade or WebUI cannot check update.
    After search forum, I have a success procedure to upgrade my pfsense 2.3 to 2.3.2

    1. enabe ssh for pfsense box
    2. ssh login to pfsense box as root
    3. choose 'upgrade from console' option, or some thing like that, sorry I didnot keep a screen capture
    4. let upgrade process finish and reboot pfsense box automatically
    5. got a upgraded pfsense box

    Hope this procedure helps.


Log in to reply